New package bmake (#6467)

* Rerolling first attempt.

Signed-off-by: ofry <tim4job@bmail.ru>

* Current state.

Signed-off-by: ofry <tim4job@bmail.ru>

* Try to debug all strings during test launch.

Signed-off-by: ofry <tim4job@bmail.ru>

* fix patch.

Signed-off-by: ofry <tim4job@bmail.ru>

* Build without debug mess - but it doesn't work. Can anyone help me?

Signed-off-by: ofry <tim4job@bmail.ru>

* Try to fix bug with line termination.

Signed-off-by: ofry <tim4job@bmail.ru>

* Try to fix bug with infinite recursion.

Signed-off-by: ofry <tim4job@bmail.ru>

* Try to fix bug with infinite recursion.

Signed-off-by: ofry <tim4job@bmail.ru>

* fix.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix 32-bit build.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix 32-bit build. Again.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix 32-bit build. Again. 3rd attempt.

Signed-off-by: ofry <tim4job@bmail.ru>

* fixing.

Signed-off-by: ofry <tim4job@bmail.ru>

* fixing 32-bit build.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 2.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 3.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 4.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 4.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 6.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 7. Is we on wrong working dir there?!

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 8. Try to send full path to executable there.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 9. Try to skip stripping.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 10. Try to set MKSRC.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 11. Try to set MKSRC.

Signed-off-by: ofry <tim4job@bmail.ru>

* Trying to fix packaging. Attempt 11. Will it work now?!

Signed-off-by: ofry <tim4job@bmail.ru>

* Try to make dir first.

Signed-off-by: ofry <tim4job@bmail.ru>

* Convert tabs to 2 spaces.

Signed-off-by: ofry <tim4job@bmail.ru>
This commit is contained in:
ofry
2020-06-16 10:48:33 +03:00
committed by GitHub
parent 38ca99dc28
commit 66664bc619
4 changed files with 27085 additions and 0 deletions

File diff suppressed because it is too large Load Diff

View File

@@ -0,0 +1,13 @@
diff --git a/boot-strap b/boot-strap
index 28d8bf7..6e3aa6c 100644
--- a/boot-strap
+++ a/boot-strap
@@ -391,7 +391,7 @@
cd $Mydir &&
MAKESYSPATH=$mksrc SRCTOP=$Mydir OBJTOP=$objdir \
MAKEOBJDIR='${.CURDIR:S,${SRCTOP:tA},${OBJTOP:tA},}' \
- ${BMAKE:-$objdir/bmake} -f $Mydir/Makefile "$@"
+ ${BMAKE:-$objdir/bmake} -B -f $Mydir/Makefile "$@"
)
}

View File

@@ -0,0 +1,22 @@
diff --git a/install-sh b/install-sh
index 28d8bf7..6e3aa6c 100644
--- a/install-sh
+++ b/install-sh
@@ -41,6 +41,8 @@
# This script is compatible with the BSD install script, but was written
# from scratch.
+dir=`pwd`
+
tab=' '
nl='
'
@@ -262,6 +264,7 @@
# if $src (and thus $dsttmp) contains '*'.
if test ! -f "$src" && test ! -d "$src"; then
echo "$0: $src does not exist." >&2
+ echo "we on $PWD" >&2
exit 1
fi

74
mingw-w64-bmake/PKGBUILD Normal file
View File

@@ -0,0 +1,74 @@
# Maintainer: Ivy Foster <code@escondida.tk>
# Contributor: Alex Szczuczko <alex at szc dot ca>
# Contributor: Devin Cofer <ranguvar{AT]archlinux[DOT}us>
# Contributor: Imanol Celaya <ilcra1989@gmail.com>
# Windows port: Timofey Denisov <tim4job@bmail.ru>
_realname=bmake
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=20181221
pkgrel=1
pkgdesc='Portable version of the NetBSD make build tool'
arch=('any')
url='http://www.crufty.net/help/sjg/bmake.html'
license=(BSD)
# upstream recommends using python for improved meta2deps script
depends=("${MINGW_PACKAGE_PREFIX}-binutils"
"${MINGW_PACKAGE_PREFIX}-python"
"${MINGW_PACKAGE_PREFIX}-libiconv")
makedepends=("${MINGW_PACKAGE_PREFIX}-gcc"
"${MINGW_PACKAGE_PREFIX}-make"
"${MINGW_PACKAGE_PREFIX}-libiconv")
source=("http://www.crufty.net/ftp/pub/sjg/bmake-$pkgver.tar.gz"
0001-first-version-mingw-patch.patch
0002-enable-debug-output-on-test.patch
0003-print-pwd-on-fail-install.patch
)
# checksum source: http://www.crufty.net/ftp/pub/sjg/bmake-$pkgver.tar.gz.sha1
sha1sums=('ce7db05c68e2fbad41d1dd92ec110406093293bd'
'SKIP'
'SKIP'
'SKIP'
)
prepare() {
cd "${srcdir}"/bmake
patch -p1 -l -i "${srcdir}"/0001-first-version-mingw-patch.patch
patch -p1 -l -i "${srcdir}"/0002-enable-debug-output-on-test.patch
patch -p1 -l -i "${srcdir}"/0003-print-pwd-on-fail-install.patch
}
build() {
cd "${srcdir}"/bmake
export SYSROOTWINDOWSPATH=$(cygpath -w /)
aclocal --verbose || die "aclocal failed"
autoreconf --verbose || die "autoreconf failed"
bash -x ./boot-strap --prefix=${MINGW_PREFIX} op=build
}
# op=build also runs unit tests; thus no check()
package() {
cd "${srcdir}"/bmake
export SYSROOTWINDOWSPATH=$(cygpath -w /)
# Fix directory permissions on install
# install -Dm644 "${pkgdir}${MINGW_PREFIX}/bin" "${pkgdir}${MINGW_PREFIX}/share/licenses/$pkgname"
bash -x ./boot-strap --install-destdir="${pkgdir}" --prefix=${MINGW_PREFIX} op=install
rm -rf "${pkgdir}${MINGW_PREFIX}/share/man/cat1"
install -Dm644 bmake.1 "${pkgdir}${MINGW_PREFIX}/share/man/man1/bmake.1"
mkdir -p "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}"
head -n70 main.c > "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
# install profile script
mkdir -p "${pkgdir}${MINGW_PREFIX}"/etc/profile.d
echo "export SYSROOTWINDOWSPATH=$(cygpath -w /)" > "${pkgdir}${MINGW_PREFIX}"/etc/profile.d/bmake.sh
cp "${pkgdir}${MINGW_PREFIX}"/etc/profile.d/bmake.{sh,zsh}
}